NEEDLE(1e)

NAME
needle - Needleman-Wunsch global alignment of two sequences

SYNOPSIS

needle -asequence sequence -bsequence seqall [-datafile matrixf] -gapopen float -gapextend float [-endweight boolean] [-endopen float] [-endextend float] -brief boolean -outfile align

needle -help

DESCRIPTION

needle is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Alignment:Global" command group(s).

OPTIONS

  Input section

-asequence sequence

-bsequence seqall

-datafile matrixf
    This is the scoring matrix file used when comparing sequences. By default it is the file 'EBLOSUM62' (for proteins) or the file 'EDNAFULL' (for nucleic sequences). These files are found in the 'data' directory of the EMBOSS installation.

  Required section

-gapopen float
    The gap open penalty is the score taken away when a gap is created. The best value depends on the choice of comparison matrix. The default value assumes you are using the EBLOSUM62 matrix for protein sequences, and the EDNAFULL matrix for nucleotide sequences. Default value: @($(acdprotein)? 10.0 : 10.0 )

-gapextend float
    The gap extension, penalty is added to the standard gap penalty for each base or residue in the gap. This is how long gaps are penalized. Usually you will expect a few long gaps rather than many short gaps, so the gap extension penalty should be lower than the gap penalty. An exception is where one or both sequences are single reads with possible sequencing errors in which case you would expect many single base gaps. You can get this result by setting the gap open penalty to zero (or very low) and using the gap extension penalty to control gap scoring. Default value: @($(acdprotein)? 0.5 : 0.5 )

  Additional section

-endweight boolean
    Default value: N

-endopen float
    The end gap open penalty is the score taken away when an end gap is created. The best value depends on the choice of comparison matrix. The default value assumes you are using the EBLOSUM62 matrix for protein sequences, and the EDNAFULL matrix for nucleotide sequences. Default value: @($(acdprotein)? 10.0 : 10.0 )

-endextend float
    The end gap extension, penalty is added to the end gap penalty for each base or residue in the end gap. This is how long end gaps are penalized. Default value: @($(acdprotein)? 0.5 : 0.5 )

  Output section

-brief boolean
    Brief identity and similarity Default value: Y

-outfile align

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

needle is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.